com.typesafe.config

## Interface ConfigList

All Superinterfaces:
  java.util.Collection<ConfigValue>, ConfigMergeable, ConfigValue, java.lang.Iterable<ConfigValue>, java.util.List<ConfigValue>

    public interface ConfigList
    extends java.util.List<ConfigValue>, ConfigValue

Subtype of `ConfigValue` representing a list value, as in JSON's `[1,2,3]` syntax.

`ConfigList` implements `java.util.List<ConfigValue>` so you can use it like a regular Java list. Or call `unwrapped()` to unwrap the list elements into plain Java values.

Like all `ConfigValue` subtypes, `ConfigList` is immutable. This makes it threadsafe and you never have to create "defensive copies." The mutator methods from `List` all throw `UnsupportedOperationException`.

The `ConfigValue.valueType()` method on a list returns `ConfigValueType.LIST`.

Do not implement `ConfigList`; it should only be implemented by the config library. Arbitrary implementations will not work because the library internals assume a specific concrete implementation. Also, this interface is likely to grow new methods over time, so third-party implementations will break.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<java.lang.Object>` `unwrapped()` Recursively unwraps the list, returning a list of plain Java values such as Integer or String or whatever is in the list.
`ConfigList` `withOrigin(ConfigOrigin origin)` Returns a `ConfigValue` based on this one, but with the given origin.

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface com.typesafe.config.ConfigValue

`atKey, atPath, origin, render, render, valueType, withFallback`

### Method Detail

#### unwrapped

    java.util.List<java.lang.Object> unwrapped()

Recursively unwraps the list, returning a list of plain Java values such as Integer or String or whatever is in the list.

Specified by:
  `unwrapped` in interface `ConfigValue`
Returns:
  a `List` containing plain Java objects

#### withOrigin

    ConfigList withOrigin(ConfigOrigin origin)

Description copied from interface: `ConfigValue`
Returns a `ConfigValue` based on this one, but with the given origin. This is useful when you are parsing a new format of file or setting comments for a single ConfigValue.

Specified by:
  `withOrigin` in interface `ConfigValue`
Parameters:
  `origin` - the origin set on the returned value
Returns:
  the new ConfigValue with the given origin